{% extends 'accounts/base.html' %}
{% block content %}

<div class="container" id="containerSBN">
    <div class="card ">
        <div class="card-header">
            <ul class="nav nav-tabs card-header-tabs">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'accounts:find_account' %}">
                        Find</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="#">Modify</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Create</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Exists</a>
                </li>
            </ul>
        </div>
        <div class="card-body">
            <h5 class="card-title text-center">
                <div class="">
                    {% if heading %}
                    <h3>{{heading}}</h3>
                    {% endif %}
                </div>
            </h5>

            <div class="row" style="display: contents;">
               
                <form method="POST">
                    {% csrf_token %}

                    <div class="fieldWrapper">
                        {{ form.ega_box_number.label_tag }}
                        <br>
                        {{ form.ega_box_number }}
                        {{ form.ega_box_number.errors }}
                    </div>
                    <div class="fieldWrapper">
                        {{ form.rt_ticket.label_tag }}
                        <br>
                        {{ form.rt_ticket }}
                        {{ form.rt_ticket.errors }}
                    </div>
                    <div class="fieldWrapper">
                        {{ form.emails.label_tag }}
                        <br>
                        {{ form.emails }}
                        {{ form.emails.errors }}
                    </div>

                    <div class="fieldWrapper">
                        {{ form.received_dta.label_tag }}
                        <br>
                        {{ form.received_dta }}
                        {{ form.received_dta.errors }}
                    </div>

                    <div class="fieldWrapper">
                        {{ form.comments.label_tag }}
                        <br>
                        {{ form.comments }}
                        {{ form.comments.errors }}
                        <div>
                            <label style="float: right; text-align: right;">
                                Use a <a href="#" id="exampleAsig">example </a> |
                                <a href="#" id="clearAsig">Clear comments</a>
                            </label>
                        </div>
                    </div>
                    <div class="fieldWrapper">
                        <p>{{date}}</p>
                    </div>
                    <br><br>
                    <p>>>> If you change the ID a new account is assigned</p>
                    <p>>>> If the received_dta field is checked, you can create an account </p>
                    <p>>>> If the received_dta field is not checked, you will see the changes in the submission boxes
                        list</p>
                    <input type="submit" value="Continue" class="btn btn-block btn-primary" id="butsubmit">

                </form>
            </div>
        </div>

    </div>

</div>


{% endblock%}
{% block custom_js %}
<script>

    $(document).on('click', '#exampleAsig', function (e) {
        e.preventDefault();
        var content_initial = $("textarea#id_comments").val()
        var content = content_initial + " Account created"
        $("textarea#id_comments").val(content);

        return false;
    });

    $(document).on('click', '#clearAsig', function (e) {
        e.preventDefault();

        $("textarea#id_comments").val('');
        return false;
    });


</script>


{% endblock %}